# Error Codes

## Overview

The parcelLab API uses standard HTTP status codes to indicate whether a request was successful or not. In case of an error, the response body will contain details of the error (for example: `401 Unauthorized – No valid credentials given`).

## HTTP Status Codes <a href="#id-401-unauthorized" id="id-401-unauthorized"></a>

When you make an API call, receiving a 2xx response (for example: 200 OK) would indicate that the client’s request was successfully received, understood, and processed by the server.

For a failed API request, error codes are categorized into different groups to indicate specific issues encountered during the request process:

* 4xx client errors - these codes indicate issues with the client's request (for example: incorrect parameters or unauthorized access)
* 5xx server errors - these codes indicate that the server failed to process the request

## Error Code Examples <a href="#id-401-unauthorized" id="id-401-unauthorized"></a>

Some example error codes are described in the following table.

<table><thead><tr><th width="132.21875">Status Code</th><th width="197.0859375">Error</th><th>Description</th></tr></thead><tbody><tr><td>400</td><td>Bad Request</td><td>This is returned when there is an issue with the information provided in the request, often due to incorrect format or missing required parameters/fields.</td></tr><tr><td>401</td><td>Unauthorized</td><td>This is returned when the authentication fails or the authentication information is not provided as part of the request.</td></tr><tr><td>403</td><td>Forbidden</td><td>This is returned when the client does not have the rights to perform the request.</td></tr><tr><td>404</td><td>Not Found</td><td>This is returned when the requested resource cannot be found.</td></tr><tr><td>405</td><td>Method Not Allowed</td><td>This is returned when an endpoint is called with an unexpected HTTP method.</td></tr><tr><td>500</td><td>Internal Server Error</td><td>This is returned when the API server encounters an unexpected error.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parcellab.com/docs/developers/v2/getting-started/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
